<?xml version="1.0"?>

<!--
    File    : $Id: bibList.xsl,v 1.3 2001/10/01 12:59:51 zegerh Exp $
    Abstract: Transform bibteXML file into a publication list HTML page
  -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                xmlns:bibxml="http://www.science.uva.nl/~zegerh/bibteXML/"
                version="1.0"
                extension-element-prefixes="xt">

<xsl:output method="html"
            doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
            doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<xsl:template match="/">
  <html>
    <xsl:apply-templates select="bibxml:file"/>
  </html>
</xsl:template>

<!--
   - Template for complete file
  -->
<xsl:template match="bibxml:file">
<head><title>Bibliography</title></head>
<body>
<dl compact="compact">
<xsl:for-each select="./bibxml:entry">
  <xsl:sort select="./*/bibxml:title"/> <!-- Sort on titles -->
    <dt>
      <a name="{@bibxml:id}"/>
      <strong><xsl:value-of select="position()"/></strong>
    </dt>
    <dd>
    <xsl:apply-templates select="./*"/><xsl:text>.</xsl:text>
    <br /><br />
    </dd>
</xsl:for-each>
</dl>
  <!-- 
     - Footer info 
     -->
<hr size = "4" />
<address>
<a href="http://validator.w3.org/check/referer">
<img src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!" 
width="88" height="31" align="right"/></a>
Generated from XML by 
<a href="http://www.science.uva.nl/~zegerh/bibteXML/bibList.xsl">bibList.xsl</a> (<b>$Revision: 1.3 $</b>)<br />
<a href="http://www.science.uva.nl/~zegerh/bibteXML/">bibteXML</a> 
by: <i>Zeger Hendrikse</i>
</address>
</body>
</xsl:template>

<xsl:template match="bibxml:article | bibxml:book | bibxml:booklet |
                     bibxml:conference | bibxml:inbook | bibxml:incollection |
                     bibxml:inproceedings | bibxml:manual | 
                     bibxml:mastersthesis | bibxml:misc | bibxml:phdthesis | 
                     bibxml:proceedings | bibxml:techReport | 
                     bibxml:unpublished">
    <xsl:for-each select=".">
      <xsl:apply-templates/>
    </xsl:for-each>
</xsl:template>

<xsl:template match="bibxml:pages">
     pp. <xsl:value-of select="."/>
     <xsl:if test="position() + 1 != last()">,</xsl:if>
</xsl:template>

<xsl:template match="bibxml:volume">
     vol. <b><xsl:value-of select="."/></b>
     <xsl:if test="position() + 1 != last()">,</xsl:if>
</xsl:template>

<xsl:template match="bibxml:title">
     <i><xsl:value-of select="."/></i>
     <xsl:if test="position() + 1 != last()">,</xsl:if>
</xsl:template>

<xsl:template match="bibxml:author | bibxml:booktitle |
                     bibxml:year | bibxml:editor |
                     bibxml:number | bibxml:series | 
                     bibxml:address | bibxml:organization |
                     bibxml:publisher | bibxml:note | bibxml:school |
                     bibxml:type | bibxml:bookshelf | 
                     bibxml:annotate | bibxml:crossref |
                     bibxml:issn | bibxml:isbn | bibxml:url | bibxml:uri | 
                     bibxml:journal | bibxml:urn | bibxml:edition">
     <xsl:value-of select="."/>
     <xsl:if test="position() + 1 != last()">,</xsl:if>
</xsl:template>

<!--
   - Do not print the following entries
   -->
<xsl:template match="bibxml:category | bibxml:month | bibxml:key | 
                     bibxml:keywords"/>

</xsl:stylesheet>
