<?xml version="1.0"?>

<!--
    file    : $Id: bibteXML.xsl,v 1.8 2001/10/01 12:59:52 zegerh Exp $
    Abstract: Transform bibteXML file into an HTML page
  -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                xmlns:bibxml="http://www.science.uva.nl/~zegerh/bibteXML/"
                version="1.0"
                extension-element-prefixes="xt">

<xsl:output method="html"
            doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
            doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<xsl:template match="/">
  <html>
    <xsl:apply-templates select="bibxml:file"/>
  </html>
</xsl:template>

<!--
   - Template for complete file
  -->
<xsl:template match="bibxml:file">
<head><title>Bibliography</title></head>
<body>
  <!--
     - Build index on titles
     -->
<h1>Index on title</h1>
<table>
<xsl:for-each select="./bibxml:entry">
  <xsl:sort select="./*/bibxml:title"/> <!-- Sort on titles -->
  <tr>
  <td align="right"><a name="{position()}"></a>
      <a href="#{@bibxml:id}"><xsl:value-of select="position()"/></a></td>
  <td align="left"><xsl:value-of select="./*/bibxml:title"/></td>
  </tr>
</xsl:for-each>
</table>
  <!--
     - Make table for each bib-entry
     -->
<p></p><hr size = "4" />
<h1>Complete info on individual entries</h1>
<xsl:for-each select="./bibxml:entry">
  <xsl:sort select="./*/bibxml:title"/> <!-- Sort on titles -->
  <a name="{@bibxml:id}"/>
  <h3>
    <xsl:value-of select="local-name(./*)"/>
    (<a href="#{position()}"><xsl:value-of select="position()"/></a>) 
  </h3>
  <xsl:apply-templates select="./*"/>
</xsl:for-each>
  <!-- 
     - Footer info 
     -->
<hr size = "4" />
<address>
<a href="http://validator.w3.org/check/referer">
<img src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!" 
width="88" height="31" align="right"/></a>
Generated from XML by 
<a href="http://www.science.uva.nl/~zegerh/bibteXML/bibteXML.xsl">bibteXML.xsl</a> (<b>$Revision: 1.8 $</b>)<br />
<a href="http://www.science.uva.nl/~zegerh/bibteXML/">bibteXML</a> 
by: <i>Zeger Hendrikse</i>
</address>
</body>
</xsl:template>

<xsl:template match="bibxml:article | bibxml:book | bibxml:booklet |
                     bibxml:conference | bibxml:inbook | bibxml:incollection |
                     bibxml:inproceedings | bibxml:manual | 
                     bibxml:mastersThesis | bibxml:misc | bibxml:phdthesis | 
                     bibxml:proceedings | bibxml:techreport | 
                     bibxml:unpublished">
  <table>
    <xsl:for-each select=".">
      <xsl:apply-templates/>
    </xsl:for-each>
  </table>
</xsl:template>

<xsl:template match="bibxml:author | bibxml:booktitle | bibxml:title |
                     bibxml:year | bibxml:editor | bibxml:volume | 
                     bibxml:number | bibxml:series | bibxml:pages | 
                     bibxml:address | bibxml:month | bibxml:organization |
                     bibxml:publisher | bibxml:note | bibxml:school |
                     bibxml:type | bibxml:bookshelf | bibxml:key | 
                     bibxml:annotate | bibxml:crossref | bibxml:keywords |
                     bibxml:issn | bibxml:isbn | bibxml:url | bibxml:uri | 
                     bibxml:journal | bibxml:urn | bibxml:edition">
  <tr>
     <td><i><xsl:value-of select="local-name(.)"/></i>:</td>
     <td><xsl:value-of select="."/></td>
  </tr>
</xsl:template>

</xsl:stylesheet>
